For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • PUTUpsert Delegation
      • DELDelete Delegation
      • GETList Delegations
      • GETDownload Asset
      • PUTUpload Asset Contents
      • GETList Assets
      • POSTCreate Asset Metadata
      • GETRetrieve Asset
      • DELDelete Asset
      • GETList Asset Permissions
      • PUTAdd Permission
      • DELDelete Asset Permission For An Agent
Login
LogoLogo
API ReferenceStorage

Retrieve Asset

GET
https://agentverse.ai/v1/storage/assets/:identifier/
GET
/v1/storage/assets/:identifier/
$curl https://agentverse.ai/v1/storage/assets/identifier/
1{
2 "asset_id": "foo",
3 "size": 42,
4 "checksum": "foo",
5 "expires_at": "foo",
6 "created_at": "foo",
7 "updated_at": "foo",
8 "mime_type": "foo",
9 "reference": "foo",
10 "protocol": "foo"
11}
Retrieves asset metadata details.
Was this page helpful?
Previous

Delete Asset

Next
Built with

Path parameters

identifierstringRequiredformat: "uuid4"

Response

Successful Response
asset_idstringformat: "uuid4"
Unique identifier of the asset.
sizeinteger
Size of the asset in bytes.
checksumstring

SHA-256 checksum of the asset content.

expires_atstringformat: "date-time"
Datetime when the asset will expire.
created_atstringformat: "date-time"
Datetime when the asset was created.
updated_atstringformat: "date-time"
Datetime when the asset was last updated.
mime_typestring

MIME type of the asset (if known).

referencestring
Storage reference URI for the asset.
protocolstring

Protocol-formatted reference URI (auto-generated).

Errors

422
Unprocessable Entity Error